Bug 1357749 (cargo) - Review Request: cargo - Rust's package manager and build tool
Summary: Review Request: cargo - Rust's package manager and build tool
Keywords:
Status: CLOSED ERRATA
Alias: cargo
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1356907
Blocks: 1359763
TreeView+ depends on / blocked
 
Reported: 2016-07-19 05:24 UTC by Josh Stone
Modified: 2016-08-27 10:15 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:15:11 UTC
admiller: fedora-review+


Attachments (Terms of Use)

Description Josh Stone 2016-07-19 05:24:08 UTC
Spec URL: http://jistone.fedorapeople.org//cargo.spec
SRPM URL: http://jistone.fedorapeople.org//cargo-0.11.0-1.fc25.src.rpm

Description:
Cargo is a tool that allows Rust projects to declare their various dependencies
and ensure that you'll always get a repeatable build.

Comment 1 Josh Stone 2016-07-19 05:28:04 UTC
No scratch build, because Rust needs to be added first.  But there are builds in my copr, first with bootstrap binaries and then from clean source.
https://copr.fedorainfracloud.org/coprs/jistone/rust/

Comment 2 Igor Gnatenko 2016-07-28 10:46:52 UTC
let's make review ;)

Comment 3 Josh Stone 2016-08-10 19:07:23 UTC
Any update?  I'd be happy to start addressing even preliminary review comments...

Comment 4 Josh Stone 2016-08-13 23:57:25 UTC
Rust is now in rawhide, so here's a proper scratch build of Cargo:
http://koji.fedoraproject.org/koji/taskinfo?taskID=15250185

Comment 5 Igor Gnatenko 2016-08-14 11:26:56 UTC
Sorry, I was busy with other tasks. And still busy =(

Comment 6 Josh Stone 2016-08-18 15:57:16 UTC
FWIW, the FPC exception for bootstrap binaries was in the same ticket as rust:
https://fedorahosted.org/fpc/ticket/643

Comment 7 Adam Miller 2016-08-19 20:29:08 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Apache (v2.0)", "Unknown or generated".
     143 files have unknown license. Detailed output of licensecheck in
     /home/admiller/reviews/1357749-cargo/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/zsh/site-functions,
     /usr/share/zsh
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in cargo-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define bootstrap_base
     https://static.rust-lang.org/cargo-
     dist/%{bootstrap_date}/%{name}-nightly, %define rust_triple
     %{_target_cpu}-unknown-linux-gnu
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cargo-0.11.0-1.fc24.x86_64.rpm
          cargo-debuginfo-0.11.0-1.fc24.x86_64.rpm
          cargo-0.11.0-1.fc24.src.rpm
cargo.x86_64: W: invalid-url URL: https://crates.io/ HTTP Error 404: Not Found
cargo.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/cargo
cargo-debuginfo.x86_64: W: invalid-url URL: https://crates.io/ HTTP Error 404: Not Found
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/fs2-0.2.3/src/lib.rs [cfg_attr(test, feature(test))]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/fs2-0.2.3/src/lib.rs 644 [cfg_attr(test, feature(test))]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/easy.rs [allow(dead_code)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/easy.rs 664 [allow(dead_code)]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/src/cargo/lib.rs [deny(unused)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/src/cargo/lib.rs 644 [deny(unused)]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/openssl-sys-0.7.8/src/lib.rs [allow(non_camel_case_types, non_upper_case_globals, non_snake_case)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/openssl-sys-0.7.8/src/lib.rs 644 [allow(non_camel_case_types, non_upper_case_globals, non_snake_case)]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/list.rs [allow(dead_code)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/list.rs 664 [allow(dead_code)]
cargo-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/cargo-0.11.0/.cargo
cargo-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/cargo-0.11.0/.cargo
cargo-debuginfo.x86_64: E: non-readable /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/term-0.4.4/src/terminfo/parser/names.rs 600
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/term-0.4.4/src/terminfo/parser/names.rs [allow(non_upper_case_globals, missing_docs)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/term-0.4.4/src/terminfo/parser/names.rs 600 [allow(non_upper_case_globals, missing_docs)]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/version.rs [allow(non_camel_case_types)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/version.rs 664 [allow(non_camel_case_types)]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/git2-0.4.3/src/call.rs [macro_use]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/git2-0.4.3/src/call.rs 664 [macro_use]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/libgit2-sys-0.4.3/lib.rs [doc(html_root_url = "http://alexcrichton.com/git2-rs")]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/libgit2-sys-0.4.3/lib.rs 664 [doc(html_root_url = "http://alexcrichton.com/git2-rs")]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/opt.rs [allow(dead_code)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/opt.rs 664 [allow(dead_code)]
cargo.src: W: invalid-url URL: https://crates.io/ HTTP Error 404: Not Found
cargo.src:115: E: hardcoded-library-path in %{_prefix}/lib/
cargo.src: W: invalid-url Source100: cargo-0.11.0-vendor.tar.gz
3 packages and 0 specfiles checked; 22 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: cargo-debuginfo-0.11.0-1.fc24.x86_64.rpm
cargo-debuginfo.x86_64: W: invalid-url URL: https://crates.io/ HTTP Error 404: Not Found
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/git2-0.4.3/src/call.rs [macro_use]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/git2-0.4.3/src/call.rs 664 [macro_use]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/opt.rs [allow(dead_code)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/opt.rs 664 [allow(dead_code)]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/list.rs [allow(dead_code)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/list.rs 664 [allow(dead_code)]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/version.rs [allow(non_camel_case_types)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/version.rs 664 [allow(non_camel_case_types)]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/src/cargo/lib.rs [deny(unused)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/src/cargo/lib.rs 644 [deny(unused)]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/openssl-sys-0.7.8/src/lib.rs [allow(non_camel_case_types, non_upper_case_globals, non_snake_case)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/openssl-sys-0.7.8/src/lib.rs 644 [allow(non_camel_case_types, non_upper_case_globals, non_snake_case)]
cargo-debuginfo.x86_64: E: non-readable /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/term-0.4.4/src/terminfo/parser/names.rs 600
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/term-0.4.4/src/terminfo/parser/names.rs [allow(non_upper_case_globals, missing_docs)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/term-0.4.4/src/terminfo/parser/names.rs 600 [allow(non_upper_case_globals, missing_docs)]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/easy.rs [allow(dead_code)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/easy.rs 664 [allow(dead_code)]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/libgit2-sys-0.4.3/lib.rs [doc(html_root_url = "http://alexcrichton.com/git2-rs")]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/libgit2-sys-0.4.3/lib.rs 664 [doc(html_root_url = "http://alexcrichton.com/git2-rs")]
cargo-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/cargo-0.11.0/.cargo
cargo-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/cargo-0.11.0/.cargo
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/fs2-0.2.3/src/lib.rs [cfg_attr(test, feature(test))]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/fs2-0.2.3/src/lib.rs 644 [cfg_attr(test, feature(test))]
1 packages and 0 specfiles checked; 21 errors, 3 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
cargo.x86_64: W: invalid-url URL: https://crates.io/ HTTP Error 404: Not Found
cargo.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/cargo
cargo-debuginfo.x86_64: W: invalid-url URL: https://crates.io/ HTTP Error 404: Not Found
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/easy.rs [allow(dead_code)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/easy.rs 664 [allow(dead_code)]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/list.rs [allow(dead_code)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/list.rs 664 [allow(dead_code)]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/git2-0.4.3/src/call.rs [macro_use]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/git2-0.4.3/src/call.rs 664 [macro_use]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/fs2-0.2.3/src/lib.rs [cfg_attr(test, feature(test))]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/fs2-0.2.3/src/lib.rs 644 [cfg_attr(test, feature(test))]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/openssl-sys-0.7.8/src/lib.rs [allow(non_camel_case_types, non_upper_case_globals, non_snake_case)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/openssl-sys-0.7.8/src/lib.rs 644 [allow(non_camel_case_types, non_upper_case_globals, non_snake_case)]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/libgit2-sys-0.4.3/lib.rs [doc(html_root_url = "http://alexcrichton.com/git2-rs")]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/libgit2-sys-0.4.3/lib.rs 664 [doc(html_root_url = "http://alexcrichton.com/git2-rs")]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/src/cargo/lib.rs [deny(unused)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/src/cargo/lib.rs 644 [deny(unused)]
cargo-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/cargo-0.11.0/.cargo
cargo-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/cargo-0.11.0/.cargo
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/opt.rs [allow(dead_code)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/opt.rs 664 [allow(dead_code)]
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/version.rs [allow(non_camel_case_types)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/curl-0.2.19/src/ffi/version.rs 664 [allow(non_camel_case_types)]
cargo-debuginfo.x86_64: E: non-readable /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/term-0.4.4/src/terminfo/parser/names.rs 600
cargo-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/term-0.4.4/src/terminfo/parser/names.rs [allow(non_upper_case_globals, missing_docs)]
cargo-debuginfo.x86_64: E: non-executable-script /usr/src/debug/cargo-0.11.0/.cargo/registry/src/-0c9944416eb0b7dd/term-0.4.4/src/terminfo/parser/names.rs 600 [allow(non_upper_case_globals, missing_docs)]
2 packages and 0 specfiles checked; 21 errors, 5 warnings.



Requires
--------
cargo (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    ld-linux-x86-64.so.2()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libcurl.so.4()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgcc_s.so.1(GCC_4.2.0)(64bit)
    libgit2.so.24()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libssl.so.10()(64bit)
    rtld(GNU_HASH)

cargo-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
cargo:
    cargo
    cargo(x86-64)

cargo-debuginfo:
    cargo-debuginfo
    cargo-debuginfo(x86-64)



Source checksums
----------------
https://github.com/rust-lang/cargo/archive/0.11.0.tar.gz#/cargo-0.11.0.tar.gz :
  CHECKSUM(SHA256) this package     : 4f390d7ea3352a1ecafb53d1a2b98c2e195b81a5c652342a8b91672d9f1dde0a
  CHECKSUM(SHA256) upstream package : 4f390d7ea3352a1ecafb53d1a2b98c2e195b81a5c652342a8b91672d9f1dde0a
https://github.com/rust-lang/rust-installer/archive/c37d3747da75c280237dc2d6b925078e69555499.tar.gz#/rust-installer-c37d3747da75c280237dc2d6b925078e69555499.tar.gz :
  CHECKSUM(SHA256) this package     : 6326434c225d25c6bfd28ff8bbc3108e331ae65e89a5c38dac8a2c8ffa09732b
  CHECKSUM(SHA256) upstream package : 6326434c225d25c6bfd28ff8bbc3108e331ae65e89a5c38dac8a2c8ffa09732b
https://static.rust-lang.org/cargo-dist/2016-03-21/cargo-nightly-x86_64-unknown-linux-gnu.tar.gz :
  CHECKSUM(SHA256) this package     : 55ad9a8929303b4e06c18d0dd30b0d6296da784606d9c55cce98d5d7fc39a0b2
  CHECKSUM(SHA256) upstream package : 55ad9a8929303b4e06c18d0dd30b0d6296da784606d9c55cce98d5d7fc39a0b2
https://static.rust-lang.org/cargo-dist/2016-03-21/cargo-nightly-i686-unknown-linux-gnu.tar.gz :
  CHECKSUM(SHA256) this package     : b2a1c4c33fb9274771c8d830cd8ac07f7ae96af341fa30399d6929ffd6c8b425
  CHECKSUM(SHA256) upstream package : b2a1c4c33fb9274771c8d830cd8ac07f7ae96af341fa30399d6929ffd6c8b425


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-24-x86_64 -b 1357749
Buildroot used: fedora-24-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


NOTES
-----

- There are other upstreams, but the FPC exception is good there.
- The Errors from rpmlint seem to be because it doesn't understand the file extension or MIMETYPE so I'm not concerned there.


APPROVED

Comment 8 Josh Stone 2016-08-22 15:38:45 UTC
Thanks for the review!

Comment 9 Gwyn Ciesla 2016-08-22 19:23:47 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/cargo

Comment 10 Fedora Update System 2016-08-23 06:06:22 UTC
cargo-0.11.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-95de5d1d24

Comment 11 Fedora Update System 2016-08-23 09:23:35 UTC
cargo-0.11.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-95de5d1d24

Comment 12 Fedora Update System 2016-08-27 10:15:04 UTC
cargo-0.11.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.